## IdeLangservCompletionProvider IdeLangservCompletionProvider |

## Functions

IdeLangservClient * | ide_langserv_completion_provider_get_client ()
void | ide_langserv_completion_provider_set_client ()

## Properties

IdeLangservClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LANGSERV_COMPLETION_PROVIDER
#define | IDE_LANGSERV_COMPLETION_PROVIDER_PRIORITY
struct | IdeLangservCompletionProviderClass
| IdeLangservCompletionProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLangservCompletionProvider

## Implemented Interfaces

IdeLangservCompletionProvider implements IdeCompletionProvider.

## Description

## Functions

### ide_langserv_completion_provider_get_client ()

    IdeLangservClient *
    ide_langserv_completion_provider_get_client
                                   (IdeLangservCompletionProvider *self);

Gets the client for the completion provider.

#### Parameters

self | An IdeLangservCompletionProvider |

#### Returns

An IdeLangservClient or `NULL`.

[transfer none][nullable]

### ide_langserv_completion_provider_set_client ()

    void
    ide_langserv_completion_provider_set_client
                                   (IdeLangservCompletionProvider *self,
                                    IdeLangservClient *client);

## Types and Values

### IDE_TYPE_LANGSERV_COMPLETION_PROVIDER

    #define IDE_TYPE_LANGSERV_COMPLETION_PROVIDER (ide_langserv_completion_provider_get_type())

### IDE_LANGSERV_COMPLETION_PROVIDER_PRIORITY

    #define IDE_LANGSERV_COMPLETION_PROVIDER_PRIORITY 200

### struct IdeLangservCompletionProviderClass

    struct IdeLangservCompletionProviderClass {
      IdeObjectClass parent_class;
    };

### IdeLangservCompletionProvider

    typedef struct _IdeLangservCompletionProvider IdeLangservCompletionProvider;

## Property Details

### The `“client”` property

      “client”                   IdeLangservClient *

The Language Server client.

Flags: Read / Write